using System;
using System.Data;
using System.Data.SqlClient;
using System.Web;
using System.IO;
using UUN;
using System.Collections;
using System.Text;

public partial class w3G_Singer_Album:System.Web.UI.Page
{
	//------------------------------
	// 此文件代码由工具自动生成
	// 2010-5-23 10:49:23
	// UUNSOFT.COM 版权所有
	//------------------------------
	private 访问 访问;
	private StringBuilder 返回值;
	protected void Page_Load(object sender,EventArgs e)
	{
		访问 = new 访问(this.Context);
		访问.是否前台=true;
		访问.是否WML=false;
		访问.开始处理("3G_歌手专辑列表","网站页面","3G_歌手专辑列表",new 访问.回调委托(ZhiXing));
		访问.关闭连接();
	}
	private void ZhiXing()
	{
		返回值=new StringBuilder();

		ID=Convert.ToInt32(Request.QueryString["ID"]);
		歌手名称=Request.QueryString["g"];
		一页显示记录数=获取一页显示记录数();
		查询字段=获取查询字段();
		时间格式=获取时间格式();
		生成歌手();
		跳页表单项="<postfield name=\"ID\" value=\""+
			ID+
			"\" />"+
			"<postfield name=\"order\" value=\""+排序+"\" />"+
			"<postfield name=\""+程序.设置["标识名称"]+"\" value=\""+
			访问.用户["标识"]+"\" />";
		_3G跳页表单项="<input type=\"hidden\" name=\"ID\" value=\""+
			ID+
			"\" />"+
			"<input type=\"hidden\" name=\"order\" value=\""+排序+"\" />"+
			"<input type=\"hidden\" name=\""+程序.设置["标识名称"]+"\" value=\""+
			访问.用户["标识"]+"\" />";
		查询条件+=" WHERE [专辑歌手]=@专辑歌手";
		String 数量语句SQL="SELECT COUNT(ID) FROM ["+程序.数据表前缀+"内容_音乐_专辑]"+查询条件;
		SqlCommand 数量语句=new SqlCommand(数量语句SQL,访问.连接);
		数量语句.Parameters.Add("@专辑歌手",SqlDbType.NVarChar).Value=歌手名称;
		当前页=Convert.ToInt32(Request.QueryString["page"]);
		总记录数=Convert.ToInt32(数量语句.ExecuteScalar());
		总页数=常用.计算总页数(总记录数,一页显示记录数);
		当前页=常用.计算当前页(总页数,当前页);
		返回值.Append(@"<?xml version=""1.0"" encoding=""UTF-8""?>
<!DOCTYPE html PUBLIC ""-//W3C//DTD XHTML 1.0 Strict//EN"" ""DTD/xhtml1-strict.dtd"">
<html xmlns=""http://www.w3.org/1999/xhtml"">
<head>
<meta http-equiv=""cache-control"" content=""no-cache""/>
<meta http-equiv=""Content-Type"" content=""text/html; charset=utf-8"" />
<title>");

		返回值.Append(Server.HtmlEncode(歌手名称));
		返回值.Append(@"-歌手专辑列表</title>
<style type=""text/css"">body{ font-size:12px;}body{background-color: #FFFFFF; margin: 0px; padding: 0px;font-size:12px;}
a:link{color:#009;}
a:visited{color:#800080;}
a{text-decoration:underline;}

div.div3  { padding-top: 5px; padding-left: 0px; padding-right: 0px; padding-bottom: 5px }

div.div5  { background-color: #ffefc4; color: #c62a05 }
div.div5  a { color: #6200c4 }

</style>
</head>
<body>
<div>
");
		返回值.Append(new 消息(this.Context,访问.连接).弹出消息(访问.用户));
		返回值.Append(@"
<div class=""div5"">
<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"page.aspx?ID=2",访问.用户["标识"].ToString())));
		返回值.Append(@""">首页</a>-<a href=""3G_SingerList.aspx?order=1&amp;");
		返回值.Append(Server.HtmlEncode(程序.设置["标识名称"].ToString()));
		返回值.Append(@"=");
		返回值.Append(访问.用户["标识"].ToString());
		返回值.Append(@""">歌手</a>-<a href=""");

		返回值.Append(Server.HtmlEncode(常用.处理地址("3G_Singer.aspx?ID="+ID,访问.用户["标识"].ToString())));
		返回值.Append(@""">");

		返回值.Append(Server.HtmlEncode(歌手名称));
		返回值.Append(@"</a>-专辑列表
</div>
");

		返回值.Append("<img "+常用.获取图片宽度高度("歌手")+" src=\""+歌手["歌手图片"]+"\" alt=\"图片\" />");
		返回值.Append(@"<br/>
<div class=""div3"">
歌手名称：");

		返回值.Append(Server.HtmlEncode(歌手名称));
		返回值.Append(@"
</div>
<div class=""div3"">
歌手地区：");

		返回值.Append(Server.HtmlEncode(歌手["歌手地区"].ToString()));
		返回值.Append(@"
</div>
<div class=""div3"">
歌手类型：");

		返回值.Append(Server.HtmlEncode(歌手["歌手类型"].ToString()));
		返回值.Append(@"
</div>
<br/>

");
		专辑列表WHQVPVX3();
		返回值.Append(@"
");
		if(总页数<2)
		{
		}
		else
		{
		返回值.Append(@"<form method=""get"" action=""");
		返回值.Append(当前页面);
		返回值.Append(@""">
");
		返回值.Append(下页代码AH8YMFOL());
		返回值.Append(@"
");
		返回值.Append(上页代码64JWOWEB());
		返回值.Append(@"
");
		返回值.Append(当前页);
		返回值.Append(@"/");
		返回值.Append(总页数);
		返回值.Append(@"页<br/>
<input type=""text"" size=""2"" name=""page"" value=""2"" /><input type=""submit"" value=""跳页"" />
");
		返回值.Append(_3G跳页表单项);
		返回值.Append(@"
</form>");
		}
		返回值.Append(@"<br/>

");
		上下歌手OA8DEIWH();
		返回值.Append(@"
");
		上下歌手PIEWHQ56();
		返回值.Append(@"
<br/>


<div class=""div3"">
<a href=""");

		返回值.Append(Server.HtmlEncode(常用.处理地址("3G_Singer.aspx?ID="+ID,访问.用户["标识"].ToString())));
		返回值.Append(@""">返回歌手信息</a>
</div>
<div class=""div3"">
<a href=""3G_SingerList.aspx?order=1&amp;");
		返回值.Append(Server.HtmlEncode(程序.设置["标识名称"].ToString()));
		返回值.Append(@"=");
		返回值.Append(访问.用户["标识"].ToString());
		返回值.Append(@""">返回歌手列表</a>
</div>
<div class=""div3"">
<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"page.aspx?ID=2",访问.用户["标识"].ToString())));
		返回值.Append(@""">返回首页</a>
</div>
");
		返回值.Append(DateTime.Now.ToString(@"MM月dd日 HH:mm"));
		返回值.Append(@"

</p>
</card>
</wml>");
		Response.Write(返回值);
		Response.Write("<!-- Powered by www.uunsoft.com -->");
	}
	private new int ID;
	private String 歌手名称;
	private int 排序;
	private String 查询字段;
	private String 时间格式;
	private Hashtable 歌手;
	private String 当前页面=@"/UUN WAP CMS 3.1/3G_Singer_Album.aspx";

	private int 当前页;
	private int 总页数;
	private int 总记录数;
	private int 一页显示记录数;

	private String 跳页表单项;
	private String _3G跳页表单项;
	private String 查询条件="";
	private void 生成歌手()
	{
		SqlCommand 语句=new SqlCommand("SELECT "+查询字段+" FROM ["+程序.数据表前缀+"内容_音乐_歌手] WHERE "+(ID!=0?"[ID]=@ID":"[歌手/乐队名称]=@歌手名称"),访问.连接);
		if(ID!=0)
			语句.Parameters.Add("@ID",SqlDbType.Int).Value=ID;
		else
			语句.Parameters.Add("@歌手名称",SqlDbType.NVarChar).Value=歌手名称;

		歌手=常用.SQL_获取(语句);
		if(歌手==null)
			throw new Exception("歌手不存在");

		if(ID==0)
			ID=Convert.ToInt32(歌手["ID"]);
		else
			歌手名称=Convert.ToString(歌手["歌手/乐队名称"]);
	}
	private String 列表跳页(int 页码)
	{
		return Server.HtmlEncode(常用.处理地址(当前页面+"?ID="+ID+"&order="+排序+"&page="+页码,访问.用户["标识"].ToString()));
	}
	private String 生成余下全部地址()
	{
		return "";
	}
	private void 专辑列表WHQVPVX3()
	{
		if(总记录数<1)
			返回值.Append(@"<div class=""div3"">暂时还没有专辑</div>");
		String 语句SQL="SELECT [ID],[专辑名称] FROM ["+程序.数据表前缀+"内容_音乐_专辑]"+查询条件;
		语句SQL+=" ORDER BY ";
		switch(排序)
		{
			case 0:
				语句SQL+="[创建时间]";
				break;
			default:
				语句SQL+="[创建时间] DESC";
				break;
		}
		SqlCommand 语句=new SqlCommand(语句SQL,访问.连接);
		语句.Parameters.Add("@专辑歌手",SqlDbType.NVarChar).Value=歌手名称;
		DataSet 数据=new DataSet();
		SqlDataAdapter 填充=new SqlDataAdapter(语句);
		填充.Fill(数据,(当前页-1)*一页显示记录数,一页显示记录数,"表");
		for(int i=0;i<数据.Tables[0].Rows.Count;i++)
		{
			DataRow 行=数据.Tables[0].Rows[i];
			返回值.Append(@"<div class=""div3"">");
			返回值.Append((当前页-1)*一页显示记录数+i+1);
			返回值.Append(@".<a href=""");
			返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"3G_Album.aspx?ID="+行["ID"],访问.用户["标识"].ToString())));
			返回值.Append(@""">");
			返回值.Append(Server.HtmlEncode(行["专辑名称"].ToString()));
			返回值.Append(@"</a></div>");
		}
		}

		private String 下页代码AH8YMFOL()
		{
			String 返回值="";
			int 页数=当前页+1;
			if(当前页<总页数)
			{
				返回值+=@"<a href=""";
				返回值+=列表跳页(页数);
				返回值+=@""">下页</a>";

			}
			else
			{

			}

			return 返回值;
		}

		private String 上页代码64JWOWEB()
		{
			String 返回值="";
			int 页数=当前页-1;
			if(当前页>1)
			{
				返回值+=@"<a href=""";
				返回值+=列表跳页(页数);
				返回值+=@""">上页</a>";

			}
			else
			{

			}

			return 返回值;
		}
	private void 上下歌手OA8DEIWH()
	{
		String SQL="SELECT [ID],[歌手/乐队名称] FROM ["+程序.数据表前缀+"内容_音乐_歌手]";
		SQL+=" WHERE [ID]>"+ID+" ORDER BY [ID]";
		SqlCommand 语句=new SqlCommand(SQL,访问.连接);
		SqlDataReader 行=语句.ExecuteReader();
		if(行.Read())
		{
				返回值.Append(@"<div class=""div3""><a href=""");
				返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"3G_Singer.aspx?ID="+行["ID"],访问.用户["标识"].ToString())));
				返回值.Append(@""">下一个：");
				返回值.Append(Server.HtmlEncode(行["歌手/乐队名称"].ToString()));
				返回值.Append(@"</a></div>");

		}
		else
		{
			返回值.Append(@"");
		}
		行.Close();
	}
	private void 上下歌手PIEWHQ56()
	{
		String SQL="SELECT [ID],[歌手/乐队名称] FROM ["+程序.数据表前缀+"内容_音乐_歌手]";
		SQL+=" WHERE [ID]<"+ID+" ORDER BY [ID] DESC";
		SqlCommand 语句=new SqlCommand(SQL,访问.连接);
		SqlDataReader 行=语句.ExecuteReader();
		if(行.Read())
		{
				返回值.Append(@"<div class=""div3""><a href=""");
				返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"3G_Singer.aspx?ID="+行["ID"],访问.用户["标识"].ToString())));
				返回值.Append(@""">上一个：");
				返回值.Append(Server.HtmlEncode(行["歌手/乐队名称"].ToString()));
				返回值.Append(@"</a></div>");

		}
		else
		{
			返回值.Append(@"");
		}
		行.Close();
	}

	private String 获取时间格式()
	{
		return @"yyyy-MM-dd HH:mm:ss";

	}

	private String 获取查询字段()
	{
		return @"[ID],[歌手/乐队名称],[歌手图片],[歌手地区],[歌手类型]";

	}

	private int 获取一页显示记录数()
	{
		return 访问.获取一页显示记录数();

	}
}